# $Revision: 1.9 $, $Date: 2012/04/07 12:45:50 $
#
# Conditional build:
%bcond_without	verbose		# verbose build (V=1)

Summary:	The Device Tree Compiler
Summary(pl.UTF-8):	Kompilator drzewiastej struktury urządzeń
Name:		dtc
Version:	1.3.0
Release:	2
License:	GPL v2 (dtc), GPL/BSD (fdt library)
Group:		Libraries
Source0:	http://www.jdl.com/software/%{name}-v%{version}.tgz
# Source0-md5:	0b94ed452ed3d3b5c1546c27788c416f
URL:		http://git.jdl.com/gitweb/
BuildRequires:	bison
BuildRequires:	flex
Requires:	libfdt = %{version}-%{release}
Obsoletes:	dtc-doc < 1.3.0-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%{?debug:%define with_verbose 1}

%description
The Device Tree Compiler, dtc, takes as input a device-tree in a given
format and outputs a device-tree in another format. Typically, the
input format is "dts", a human readable source format, and creates a
"dtb", or binary format as output.

%description -l pl.UTF-8
Kompilator drzewiastej struktury urządzeń, dtc, przyjmuje na wejściu
dane w jednym formacie by na wyjściu wyprodukować strukturę danych w
innym. Najczęściej format wejściowy to "dts", intuicyjny i łatwy w
odczycie (tzw. human readable), natomiast wyjściowy to "dtb" lub
inaczej format binarny.

%package -n libfdt
Summary:	Device tree library
Summary(pl.UTF-8):	Biblioteka drzewiastej struktury urządzeń
Group:		Libraries
Obsoletes:	dtc-doc < 1.3.0-2
# does not require base. see README.license

%description -n libfdt
Device tree library.

%description -n libfdt -l pl.UTF-8
Biblioteka drzewiastej struktury urządzeń.

%package -n libfdt-devel
Summary:	Header files for fdt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki fdt
Group:		Development/Libraries
Requires:	libfdt = %{version}-%{release}
Obsoletes:	dtc-devel
Obsoletes:	dtc-doc < 1.3.0-2
# does not require base. see README.license

%description -n libfdt-devel
Header files for fdt library.

%description -n libfdt-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki fdt.

%package -n libfdt-static
Summary:	Static fdt library
Summary(pl.UTF-8):	Statyczna biblioteka fdt
Group:		Development/Libraries
Requires:	libfdt-devel = %{version}-%{release}
Obsoletes:	dtc-static

%description -n libfdt-static
Static fdt library.

%description -n libfdt-static -l pl.UTF-8
Statyczna biblioteka fdt.

%prep
%setup -q -n %{name}-v%{version}

%build
%{__make} \
	%{?with_verbose:V=1} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	%{?with_verbose:V=1} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libfdt -p /sbin/ldconfig
%postun	-n libfdt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.license
%attr(755,root,root) %{_bindir}/convert-dtsv0
%attr(755,root,root) %{_bindir}/dtc
%attr(755,root,root) %{_bindir}/dtdiff
%attr(755,root,root) %{_bindir}/ftdump

%files -n libfdt
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfdt-%{version}.so
%attr(755,root,root) %ghost %{_libdir}/libfdt.so.1

%files -n libfdt-devel
%defattr(644,root,root,755)
%doc TODO Documentation/manual.txt
%attr(755,root,root) %{_libdir}/libfdt.so
%{_includedir}/fdt.h
%{_includedir}/libfdt.h

%files -n libfdt-static
%defattr(644,root,root,755)
%{_libdir}/libfdt.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dtc.spec,v $
Revision 1.9  2012/04/07 12:45:50  glen
- drop -doc, move files to most appropriate package instead

Revision 1.8  2012/02/19 15:26:59  qboosh
- defattr for -doc

Revision 1.7  2012/02/15 13:15:13  baggins
- 1.3.0
- added libfdt package with shared fdt library
- renamed devel and static packages to libfdt-*

Revision 1.6  2009/01/14 21:34:31  duddits
- up to 1.2.0
- pl %desc added

Revision 1.5  2008/05/08 23:49:03  shadzik
- add -doc subpackage where all the docs are
- this prevents doubling readme files

Revision 1.4  2008-05-08 15:33:21  arvenil
- BR: bison
- BR: flex

Revision 1.3  2008-05-07 22:09:07  glen
- README.license is back as main <> devel don't depend on each other

Revision 1.2  2008-05-07 22:05:40  shadzik
- remove doubled README.license

Revision 1.1  2008-05-07 21:54:17  glen
- new. does -static make sense?
